Page MenuHomePhabricator

[AMDGPU][llvm-mc] s_getreg/setreg* - Support symbolic names of hardware registers.
ClosedPublic

Authored by artem.tamazov on Apr 20 2016, 11:21 AM.

Details

Summary

Possibility to specify code of hardware register kept.
Disassemble to symbolic name, if name is known.
Tests updated/added.

Diff Detail

Repository
rL LLVM

Event Timeline

artem.tamazov retitled this revision from to [AMDGPU][llvm-mc] s_getreg/setreg* - Support symbolic names of hardware registers..
artem.tamazov updated this object.
artem.tamazov set the repository for this revision to rL LLVM.
artem.tamazov added a project: Restricted Project.
artem.tamazov added a subscriber: Restricted Project.
arsenm edited edge metadata.Apr 22 2016, 4:10 PM

If the raw numbers are supposed to work still, those tests should be kept

If the raw numbers are supposed to work still, those tests should be kept

Assembly tests with raw numbers are still there, like "s_setreg_imm32_b32 0x6, 0xff" in sopk.s. However, disassembly is always to "hwreg(...)" format, that is why raw numbers were replaced in Disassembler and CodeGen tests.

nhaustov accepted this revision.Apr 25 2016, 6:44 AM
nhaustov edited edge metadata.

Ok.

This revision is now accepted and ready to land.Apr 25 2016, 6:44 AM
artem.tamazov edited edge metadata.

Added some test cases with raw HW register codes

Added more raw number/register code tests

I am going to commit this after 24hrs, if no objections/comments arrive.

This revision was automatically updated to reflect the committed changes.